from setuptools import setup, find_packages

setup(
    name="evoagent",
    version="0.1.8",    
    description="An orchestration framework for all your AI needs",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    author="Munakala Bharath",
    author_email="bharathmunakala22@gmail.com",
    url="https://github.com/bharath4ru/evoagent",
    packages=find_packages(),
    install_requires=[
        "openai",
        "anthropic",
        "groq",
        "python-dotenv",
        "qdrant-client",
        "requests",
        "PyPDF2",
        "python-docx",
        "soundfile",
        "tiktoken",
        "faiss-cpu",
        "pydantic",
        "fastapi",
        "uvicorn",
        "pymupdf",
        "pandas",
        "numpy",
        "matplotlib",
        "langchain",
        "llama-index",
        "chainlit",
        "phidata",
        "huggingface_hub",
        "google-generativeai",
        "sentence-transformers",
        "transformers",
        "torch",
        "scipy",
        "nltk"
        
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.10",
)
